Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdService.AdCounts

    java.lang.Object
      com.bea.p13n.ad.AdService.AdCounts

All Implemented Interfaces:
  Serializable

Enclosing class:
  AdService

public static class AdService.AdCounts
extends Object
implements Serializable

Class that is generated by getAdCounts. This is returned as part of the collection that is returned.

See Also:
  Serialized Form

Field Summary
`long` | `clickThruCount` The click thru count
`String` | `containerName` The container UID
`String` | `contentPath` The content path
`long` | `impressionCount` The impression count

Constructor Summary
`AdService.AdCounts()` the default constructor
`AdService.AdCounts(String contentPath, String containerName, long impressionCount, long clickThruCount)` Construct a new AdCount

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentPath

    public String contentPath

  The content path

### containerName

    public String containerName

  The container UID

### impressionCount

    public long impressionCount

  The impression count

### clickThruCount

    public long clickThruCount

  The click thru count

Constructor Detail

### AdService.AdCounts

    public AdService.AdCounts(String contentPath,
                              String containerName,
                              long impressionCount,
                              long clickThruCount)

  Construct a new AdCount

Parameters:
  `contentPath` - the content path
  `containerName` - the UID of the container
  `impressionCount` - the impression count
  `clickThruCount` - the click thru count

### AdService.AdCounts

    public AdService.AdCounts()

  the default constructor

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved